Bug 442432 - No feedback when sending profile fails from firstboot
No feedback when sending profile fails from firstboot
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-14 15:05 EDT by David Woodhouse
Modified: 2009-06-22 14:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-22 14:48:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2008-04-14 15:05:11 EDT
When the firstboot module fails to send the profile (which is 100% of the time
on a new installation, because NetworkManager doesn't start up before
firstboot), we get zero feedback. Firstboot just goes away without registering
the machine, and without reporting the failure.
Comment 1 Mike McGrath 2008-04-14 21:09:15 EDT
Actually not 100% of the time as not everyone uses NetworkManager.

Also, by saying "yes register" a monthly checkin is enabled.  Which means that
if we don't get them the first round we do get them the second round.

At one point in time Smolt was setup to re-try a certain number of times if it
failed to send.  I'll have to check and see how this behavior is but the way it
was designed to work with firstboot is:


try to send:
if fail wait 5 minutes, try again
repeat 10-15 times (something like that)

We've made a lot of changes to the client in this round so I'll have to see what
the deal is.  Obviously if someone enables it in firstboot and it fails, then
reboots before it gets sent we won't know about that until after that users
monthly check in.  I'll leave this open until I can verify the behavior of smolt
is still what it used to be.
Comment 2 Bug Zapper 2008-05-14 05:26:12 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 20:10:52 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Mike McGrath 2009-06-22 14:48:22 EDT
Closing bug, this is the intended behaviour and it seems to be working properly.

Note You need to log in before you can comment on or make changes to this bug.